Bug 125717 - Intermittent spurious indent when using screen
Intermittent spurious indent when using screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-10 11:21 EDT by Robin Green
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (688 bytes, text/plain)
2004-06-10 11:23 EDT, Robin Green
no flags Details
screenshot of bug occurring (583.47 KB, image/png)
2004-06-10 11:32 EDT, Robin Green
no flags Details

  None (edit)
Description Robin Green 2004-06-10 11:21:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040608

Description of problem:
I noticed this (presumably quite rare and subtle) bug when doing

pstree -lpn|less

in the terminal emulator "screen", running in gnome-terminal.
Basically sometimes when you output a particular character sequence
gnome-terminal spuriously adds an indent. I have verified that it's
not a screen bug by stracing screen using

strace -s 65536 -o screen.strace -e trace=write -p $PID_OF_ACTIVE_SCREEN

and the output is identical when the bug occurs and when the bug does
not occur (remember, it's pretty random). So it can't possibly be a
screen bug.

Note that this seems to be a timing-influenced bug (thread bug
perhaps?) so it might not occur on a faster machine. My machine is an
Athlon XP 1800. (Indeed the only reason why screen triggers this might
be that screen slows the catting down a little.)

Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2

How reproducible:
Sometimes

Steps to Reproduce:
1. Download attached test file
2. Start gnome-terminal
3. Start screen
4. Type "cat bug"
5. As the bug is intermittent, you may need to try again a few times
before you see it.

Actual Results:  The xinetd line is indented, like this:

        ├─sshd(2154)
        ├       
├─xinetd(2169)───fam(4803)
        ├─ntpd(2184)


Expected Results:          ├─sshd(2154)
        ├─xinetd(2169)───fam(4803)
        ├─ntpd(2184)


Additional info:

(At first I thought that someone had hacked my box and was (bizarrely)
using my machine as an xinetd server. Look at the bogus output above -
you can see why I was worried!)
Comment 1 Robin Green 2004-06-10 11:23:49 EDT
Created attachment 101034 [details]
Test case
Comment 2 Robin Green 2004-06-10 11:27:00 EDT
Oops, looks like bugzilla has foobared my actual and expected results.
I'll attach a screenshot. The first cat (partially offscreen) is
buggy, the second cat has worked.
Comment 3 Robin Green 2004-06-10 11:32:15 EDT
Created attachment 101035 [details]
screenshot of bug occurring
Comment 4 Matthew Miller 2005-04-26 11:54:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Ray Strode [halfline] 2005-05-11 17:23:41 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.